/* 
 * Copyright (C) 2006 Registro.br. All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 * 1. Redistribution of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY REGISTRO.BR ``AS IS AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIE OF FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL REGISTRO.BR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
 * DAMAGE.
 */
/* $Id: libepp_nicbr_cli.H 333 2006-02-08 18:34:46Z cesar $ */
/** @file libepp_nicbr_cli.H
 *  @brief Includes all other headers in the library
 */

#ifndef __LIBEPP_NICBR_CLI_H__
#define __LIBEPP_NICBR_CLI_H__

#include "libepp_nicbr.H"
#include "Action.H"
#include "Command.H"
#include "CommonData.H"
#include "ContactCheck.H"
#include "ContactCheckCmd.H"
#include "ContactCheckRsp.H"
#include "ContactCreate.H"
#include "ContactCreateCmd.H"
#include "ContactCreateRsp.H"
#include "ContactInfo.H"
#include "ContactInfoCmd.H"
#include "ContactInfoRsp.H"
#include "ContactUpdate.H"
#include "ContactUpdateCmd.H"
#include "DomErrorHandler.H"
#include "DomParser.H"
#include "DomainCheck.H"
#include "DomainCheckCmd.H"
#include "DomainCheckRsp.H"
#include "DomainCreate.H"
#include "DomainCreateCmd.H"
#include "DomainCreateRsp.H"
#include "DomainInfo.H"
#include "DomainInfoCmd.H"
#include "DomainInfoRsp.H"
#include "DomainRenew.H"
#include "DomainRenewCmd.H"
#include "DomainRenewRsp.H"
#include "DomainUpdate.H"
#include "DomainUpdateCmd.H"
#include "EppException.H"
#include "FileUtil.H"
#include "GeneralException.H"
#include "Greeting.H"
#include "Hello.H"
#include "IoException.H"
#include "Login.H"
#include "LoginCmd.H"
#include "Logout.H"
#include "Poll.H"
#include "PollCmd.H"
#include "PollRsp.H"
#include "Response.H"
#include "Session.H"
#include "StrUtil.H"
#include "TransportException.H"
#include "TransportTLS.H"
#include "XmlException.H"

#endif //__LIBEPP_NICBR_CLI_H__
